using UnityEngine;
using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using System.IO;

namespace hive.adkit.daro
{
	public class RewardItem {

		private String itemType = "none";
		private int itemAmount = 0;

		public RewardItem(String itemType, int itemAmount) {
			
			this.itemType = itemType;
			this.itemAmount = itemAmount;
		}

		public string getItemType() {
			return this.itemType;
		}

		public int getItemAmount() {
			return this.itemAmount;
		}

		public String toString() {

			StringBuilder sb = new StringBuilder ();

			sb.Append ("RewardItem { itemType = ");
			sb.Append (this.itemType);
			sb.Append (", itemAmount = ");
			sb.Append (this.itemAmount);
			sb.Append (" }\n");

			return sb.ToString ();
		}
	}
}




